Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 201860 - gnome-screensaver smart card event monitoring shouldn't poll
Summary: gnome-screensaver smart card event monitoring shouldn't poll
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-screensaver
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target wakeup
TreeView+ depends on / blocked
 
Reported: 2006-08-09 14:45 UTC by Ray Strode [halfline]
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-14 06:43:32 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ray Strode [halfline] 2006-08-09 14:45:57 UTC
Right now gnome-screensaver's smart card monitoring code polls several times a
second.  This will needlessly use up battery on laptops, force speed stepped
CPUs to go up, etc.

Fixing this will require forking and then doing (blocking) event handling in a
subprocess.

Comment 1 Ray Strode [halfline] 2006-09-05 15:11:12 UTC
See bug 205184 for the duplicate GDM report.

Comment 2 Ray Strode [halfline] 2006-09-14 06:43:32 UTC
should be fixed in the next build


Note You need to log in before you can comment on or make changes to this bug.